Bug 136970 - Update port: net-im/prosody to 0.5.0
Summary: Update port: net-im/prosody to 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-21 22:30 UTC by Andrew Lewis
Modified: 2012-03-23 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.59 KB, patch)
2009-07-21 22:30 UTC, Andrew Lewis
no flags Details | Diff
prosody.patch.txt (7.22 KB, text/plain; charset="utf-8")
2009-07-23 22:56 UTC, Andrew Lewis
no flags Details
prosody.patch.txt (7.93 KB, text/plain; charset="UTF-8")
2009-07-27 22:31 UTC, Andrew Lewis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lewis 2009-07-21 22:30:07 UTC
- Update to 0.5.0
- Fix building on AMD64
- Fix disrespect of CFLAGS, CC
- Fix port to use reserved GID/UID, patches as follows for:

/usr/ports/GIDs:

86a87
> prosody:*:242:

/usr/ports/UIDs:

96a97
> prosody:*:242:242::0:0:Prosody Jabber Server:/nonexistent:/usr/sbin/nologin

Fix: Patch attached with submission follows:
Comment 1 Andrew Lewis 2009-07-22 17:52:33 UTC
Oops! Please see patch for the patch above, sorry about that:

19c19
< +MAN1=                prosodyctl.man
---
> +MAN1=                prosodyctl.1
Comment 2 Martin Wilke freebsd_committer 2009-07-23 20:14:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Andrew Lewis 2009-07-23 22:56:12 UTC
Oops! Didn't direct this to the right place. :(

----------  Forwarded Message  ----------

Subject: Re: ports/136970: Update port: net-im/prosody to 0.5.0
Date: Wednesday 22 July 2009
From: Andrew Lewis <freeghb@gmail.com>
To: Andrew Lewis <freeghb@gmail.com>

On Wednesday 22 July 2009 19:07:28 you wrote:
> On Wednesday 22 July 2009 18:52:33 you wrote:
> > Oops! Please see patch for the patch above, sorry about that:
> Oops!! Please ignore that, it doesn't work. Find replacement patch
> attached.

I'm sorry but the init script as it was didn't work for me anymore and I 
needed to make some changes to get it to work. Replacement for the replacement 
patch referenced above attached, downloadable at 
http://pastebin.com/pastebin.php?dl=m49967c1d

-------------------------------------------------------
Comment 4 Martin Wilke freebsd_committer 2009-07-27 17:45:01 UTC
State Changed
From-To: open->feedback

Hi, 

Plist failed with manpage error, 

http://32bit.miwibox.org/index.php?action=describe_port&id=546 
http://64bit.miwibox.org/index.php?action=describe_port&id=564 

could you please take a look?
Comment 5 Andrew Lewis 2009-07-27 18:40:12 UTC
Hi miwi,

I'm not *quite* sure why it would do that. It's working fine on my machine. 
MAN1 is specified as prosodyctl.1 so I'm not sure why it would want to use 
prosodyctl.1.gz

On closer inspection it looks like MAN1PREFIX is not being acknowledged. Again 
I'm not sure why that would be the case. :(

Will see if I can figure out anything further.

Best,
-AL.
Comment 6 Andrew Lewis 2009-07-27 22:31:31 UTC
On Monday 27 July 2009 21:44:05 you wrote:
> Please find updated patch attached. I believe this should correct the
> behaviour in question.
Comment 7 Martin Wilke freebsd_committer 2009-07-28 19:29:44 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 8 dfilter service freebsd_committer 2009-07-28 19:29:52 UTC
miwi        2009-07-28 18:29:37 UTC

  FreeBSD ports repository

  Modified files:
    net-im/prosody       Makefile distinfo pkg-plist 
    net-im/prosody/files patch-configure pkg-install.in 
                         prosody.cfg.lua.install.in 
  Added files:
    net-im/prosody/files patch-Makefile 
  Log:
  - Update to 0.5
  
  PR:             136970
  Submitted by:   Andrew Lewis <freeghb@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -3      ports/net-im/prosody/Makefile
  1.2       +3 -3      ports/net-im/prosody/distinfo
  1.1       +11 -0     ports/net-im/prosody/files/patch-Makefile (new)
  1.2       +25 -5     ports/net-im/prosody/files/patch-configure
  1.2       +2 -2      ports/net-im/prosody/files/pkg-install.in
  1.2       +1 -0      ports/net-im/prosody/files/prosody.cfg.lua.install.in
  1.2       +16 -1     ports/net-im/prosody/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"